| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
Action Class Reference
PDF » actions

PDF action object. More...

Inheritance diagram for Action:

## Public Member Functions
| getSubAction (index)
| Get a sub-action by index. More...
| getSubActionCount ()
| Get the count of sub-actions. More...
| getType ()
| Get action type. More...
| insertSubAction (index, action)
| Insert a new sub-action to the location specified by index. More...
| removeAllSubActions ()
| Remove all the sub-actions. More...
| removeSubAction (index)
| Remove a sub-action, specified by index. More...
| setSubAction (index, action)
| Set a sub-action by index. More...

## Detailed Description

PDF action object.

Deprecated:
  Action related APIs have been moved under each object.

See also
  Annot
  Widget
  PDFFormField
  PDFDoc

## Member Function Documentation

## ◆ getSubAction()

Action::getSubAction | ( |  | index | ) |
| inline

Get a sub-action by index.

Parameters

  index | number - Index of sub-action to be retrieved. Valid range: from 0 to (count-1).

Returns
  Action - An action object that represents the specified sub-action.

## ◆ getSubActionCount()

Action::getSubActionCount | ( |  | ) |
| inline

Get the count of sub-actions.

Returns
  number - Count of sub-actions.

## ◆ getType()

Action::getType | ( |  | ) |
| inline

Get action type.

Returns
  string - Action type.

## ◆ insertSubAction()

Action::insertSubAction | ( |  | index,
|  |  | action
| ) |  |
| inline

Insert a new sub-action to the location specified by index.

Parameters

  index | number - Index of the location, where the new sub-action is inserted.
  action | Action - New action to be set. It should be valid.

Returns
  Promise<object> - An action object.

## ◆ removeAllSubActions()

Action::removeAllSubActions | ( |  | ) |
| inline

Remove all the sub-actions.

Returns
  Promise<void> -

## ◆ removeSubAction()

Action::removeSubAction | ( |  | index | ) |
| inline

Remove a sub-action, specified by index.

Parameters

  index | number - Index of sub-action to be retrieved. Valid range: from 0 to (count-1).

Returns
  Promise<void> -

## ◆ setSubAction()

Action::setSubAction | ( |  | index,
|  |  | action
| ) |  |
| inline

Set a sub-action by index.

Parameters

  index | number - Index of sub-action to be retrieved. Valid range: from 0 to (count-1).
  action | Action - New action to be set. It should be valid.

Returns
  Promise<object> - An action object.

@2025 Foxit Software Incorporated. All rights reserved.